Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 640440 - sci-chemistry/vmd-1.9.3: fetch issue expecting .tar vs .tar.gz file
Summary: sci-chemistry/vmd-1.9.3: fetch issue expecting .tar vs .tar.gz file
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Alexey Shvetsov
URL:
Whiteboard:
Keywords:
: 653526 682850 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-12-09 22:00 UTC by milan hodoscek
Modified: 2019-05-30 11:15 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description milan hodoscek 2017-12-09 22:00:30 UTC
in sci-chemistry/vmd-1.9.3.ebuild there is a missing .gz at the end of the second line of SRC_URI specification
Comment 1 milan hodoscek 2017-12-09 22:03:42 UTC
Just in case somebody needs emerge --info (after fixing the typo vmd works fine)

Portage 2.3.17 (python 3.6.3-final-0, default/linux/amd64/17.0/systemd, gcc-7.2.0, glibc-2.26-r3, 4.14.3-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.14.3-gentoo-x86_64-Intel-R-_Xeon-R-_CPU_E31245_@_3.30GHz-with-gentoo-2.4.1
KiB Mem:    16324916 total,   9938356 free
KiB Swap:   62545212 total,  61904068 free
Timestamp of repository gentoo: Sat, 09 Dec 2017 21:30:01 +0000
Head commit of repository gentoo: d552d9c3e55d9434785c397f53280168310fb2fa
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/cmake:           3.10.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            4.8.5::gentoo, 5.4.0-r3::gentoo, 6.4.0::gentoo, 7.2.0::gentoo
sys-devel/gcc-config:     1.9.0-r1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://s6/portage
    priority: -1000
    sync-rsync-extra-opts: 

local
    location: /usr/local/portage
    masters: gentoo
    priority: 0

flatpak-overlay
    location: /var/lib/layman/flatpak-overlay
    masters: gentoo
    priority: 50

kde
    location: /var/lib/layman/kde
    masters: gentoo
    priority: 50

matrix
    location: /var/lib/layman/matrix
    masters: gentoo
    priority: 50

rion
    location: /var/lib/layman/rion
    masters: gentoo
    priority: 50

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 50

Installed sets: @kde-apps-next, @kde-frameworks-live, @kde-plasma-live, @mykde
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=corei7"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=corei7"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n --with-bdeps=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=corei7"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j 8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aalib acl alac alsa amd64 amr ansi apache2 apng applet assistant audiofile autoipd avahi berkdb bitmapfonts bittorrent boost branding btrfs bzip2 cairo canna cdda cdio cdr cjk clang cli clozurecl clucene cracklib crossdev crypt css curl cxx daap dbus dconf dcraw declarative demosaic device-mapper dga dirac dri dv dvd dvdr dvdread eds emacs emovix encode eps exif extensions extra extras f77 faac faad fastcgi fdk ffmpeg flac fltk fontconfig foomaticdb fortran fortran2003 fortran95 frei0r g3dvl gcj gd gdbm gdu gif gimp gimpprint gkrellm glib gnuplot gphoto2 gsf gstreamer gtk gtk3 gudev gzip hdri hwdb hwinfo iconv icu imagemagick introspection ipv6 java javascript jbig jpeg jpeg2k kde kdenlive kdepim kdrive lapack latex lcms ldap legacy-systray libinput libkms libxml2 lxc mad matplotlib matroska mbox mdnsresponder-compat melt minizip mjpeg mng modemmanager modules mozilla mp3 mp4 mpm-itk multilib multiuser musepack musicbrainz mysql native-exceptions ncurses network networkmanager nftables nls nptl nsplugin nss numpy objc offensive ogg oggvorbis openbabel openexr opengl openmp opus pam pcntl pcre pcre16 pdf perl plasma plotutils png pnm policykit posix postscript preview-latex printsupport private-headers pstricks pulseaudio python python3 qml qt5 rar readline rendering rle romio rtc sasl schroedinger scipy script scripttools sdl seccomp session smp smpeg sna sndfile sockets socks5 sox speex spell sql sqlite ssl staging static-libs svc svg systemd tagwriting tbb tcl tcltk tcpd tetex tga theora threads tiff tk tracker truetype udev udisks unicode upcall usb user-session uvm vaapi vala vcd vdr vhosts vim vim-pager vorbis vpx wav wavpack webm webp widgets winbind wmf wxgtk1 x264 xattr xcb xetex xft xinerama xkb xml xmp xorg xvfb xvid xvmc yv12 zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="krita stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="nss" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="us" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="us" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sci-chemistry/vmd-1.9.3::gentoo was built with the following:
USE="sqlite xinerama -cuda -gromacs -msms -povray -tachyon" ABI_X86="(64)" PYTHON_TARGETS="python2_7"
Comment 2 Jonas Stein gentoo-dev 2017-12-11 11:15:10 UTC
confirmed:

SRC_URI="
    https://dev.gentoo.org/~jlec/distfiles/${P}-gentoo-patches.tar.xz
    ${P}.src.tar"

...

pkg_nofetch() {
    elog "Please download ${P}.src.tar.gz from"
Comment 3 Christoph Junghans gentoo-dev 2017-12-11 16:28:58 UTC
No, the src.tar.gz (124MB) from http://www.ks.uiuc.edu/Development/Download/download.cgi?PackageName=VMD is actually a uncompressed tarball, so src.tar is correct.
Comment 4 milan hodoscek 2017-12-11 22:35:25 UTC
(In reply to Christoph Junghans from comment #3)
> No, the src.tar.gz (124MB) from
> http://www.ks.uiuc.edu/Development/Download/download.cgi?PackageName=VMD is
> actually a uncompressed tarball, so src.tar is correct.

Yes, but out of ~4500 compressed tars on distfiles folder only 2 are not compressed, so why is this exception?
Comment 5 Christoph Junghans gentoo-dev 2017-12-11 22:53:44 UTC
(In reply to milan hodoscek from comment #4)
> (In reply to Christoph Junghans from comment #3)
> > No, the src.tar.gz (124MB) from
> > http://www.ks.uiuc.edu/Development/Download/download.cgi?PackageName=VMD is
> > actually a uncompressed tarball, so src.tar is correct.
> 
> Yes, but out of ~4500 compressed tars on distfiles folder only 2 are not
> compressed, so why is this exception?
Upstream! If you go to http://www.ks.uiuc.edu/Development/Download/download.cgi?PackageName=VMD it will downloads a vmd-1.9.3.src.tar.gz, but 
$ file vmd-1.9.3.src.tar.gz
vmd-1.9.3.src.tar.gz: POSIX tar archive (GNU)
so we have to rename it for portage to handle the unpack correctly.

"For problems, questions, or suggestions, send e-mail to 'vmd@ks.uiuc.edu'." is what the website says.
Comment 6 Michelangelo Scopelliti 2017-12-12 09:33:06 UTC
I have just downloaded the source tarball. It is a real tar.gz, 42M. The download started automatically after agreeing to the license. Maybe it is fixed upstream?
Comment 7 milan hodoscek 2017-12-12 10:20:36 UTC
(In reply to Michelangelo Scopelliti from comment #6)
> I have just downloaded the source tarball. It is a real tar.gz, 42M. The
> download started automatically after agreeing to the license. Maybe it is
> fixed upstream?

Actually it depends on the browser that you use for download. Some want to be smart and decompress the file on the fly, but apparently some also forget to drop gz  then ?? Just guessing but I've seen this before...
Comment 8 Pacho Ramos gentoo-dev 2017-12-13 16:27:54 UTC
if user needs to rename the file it should be explained by error message
Comment 9 Michelangelo Scopelliti 2017-12-13 17:31:36 UTC
(In reply to milan hodoscek from comment #7)
> (In reply to Michelangelo Scopelliti from comment #6)
> > I have just downloaded the source tarball. It is a real tar.gz, 42M. The
> > download started automatically after agreeing to the license. Maybe it is
> > fixed upstream?
> 
> Actually it depends on the browser that you use for download. Some want to
> be smart and decompress the file on the fly, but apparently some also forget
> to drop gz  then ?? Just guessing but I've seen this before...

Still, I do not understand. The site offers a proper tar.gz (see my previous comment). Since my browser(s) do not compress on the fly, I assume  the 42M file is the official one.
Now, maybe some (weird) smart browser makes the wrong conversion/unpacking/whatever; but this is on the user, and should not be on the ebuild.

Looking at the sizes, I should download the tar.gz, gunzip (but not untar) it, and then put it in distfiles. I think it's weird.
Comment 10 Christoph Junghans gentoo-dev 2017-12-13 17:49:48 UTC
(In reply to Michelangelo Scopelliti from comment #9)
> (In reply to milan hodoscek from comment #7)
> > (In reply to Michelangelo Scopelliti from comment #6)
> > > I have just downloaded the source tarball. It is a real tar.gz, 42M. The
> > > download started automatically after agreeing to the license. Maybe it is
> > > fixed upstream?
> > 
> > Actually it depends on the browser that you use for download. Some want to
> > be smart and decompress the file on the fly, but apparently some also forget
> > to drop gz  then ?? Just guessing but I've seen this before...
> 
> Still, I do not understand. The site offers a proper tar.gz (see my previous
> comment). Since my browser(s) do not compress on the fly, I assume  the 42M
> file is the official one.
> Now, maybe some (weird) smart browser makes the wrong
> conversion/unpacking/whatever; but this is on the user, and should not be on
> the ebuild.
> 
> Looking at the sizes, I should download the tar.gz, gunzip (but not untar)
> it, and then put it in distfiles. I think it's weird.
If I go through the website I get a 124MB uncompressed tarball, but if I wget http://www.ks.uiuc.edu/Research/vmd/vmd-1.9.3/files/final/vmd-1.9.3.src.tar.gz directly I get a 42MB compressed tarball, very strang.
Comment 11 Pacho Ramos gentoo-dev 2017-12-14 20:43:03 UTC
Could this be caused by the browser suffering the same issue as latest wget?
https://bugs.gentoo.org/640930
Comment 12 Michelangelo Scopelliti 2018-01-10 13:02:35 UTC
Any news on this?

curl -IL  http://www.ks.uiuc.edu/Research/vmd/vmd-1.9.3/files/final/vmd-1.9.3.src.tar.gz

gives

HTTP/1.1 200 OK
Date: Wed, 10 Jan 2018 12:58:36 GMT
Server: Apache/1.3.37 (Unix) mod_perl/1.29 PHP/5.2.1 mod_ssl/2.8.28 OpenSSL/0.9.7l
Last-Modified: Thu, 01 Dec 2016 07:13:41 GMT
ETag: "64612-29f1a02-583fcda5"
Accept-Ranges: bytes
Content-Length: 43981314
Content-Type: application/x-tar
Content-Encoding: x-gzip

Is that the same problem referenced in comment 11 ?
Comment 13 Alexey Shvetsov gentoo-dev 2018-06-20 15:25:12 UTC
Its related to HTTP header

Content-Encoding: x-gzip 

It says browser that content is compressed and browser should uncompress it. Direct download with wget works just because wget ignores this header.
Comment 14 Alexey Shvetsov gentoo-dev 2018-06-20 15:27:30 UTC
*** Bug 653526 has been marked as a duplicate of this bug. ***
Comment 15 Pacho Ramos gentoo-dev 2018-11-10 10:44:12 UTC
(In reply to Alexey Shvetsov from comment #13)
> Its related to HTTP header
> 
> Content-Encoding: x-gzip 
> 
> It says browser that content is compressed and browser should uncompress it.
> Direct download with wget works just because wget ignores this header.

Maybe as a workaround the message to download the file could point directly to a "wget ..." command to get the "expected" file to be downloaded
Comment 16 Michelangelo Scopelliti 2018-11-13 09:10:15 UTC
(In reply to Alexey Shvetsov from comment #13)
> Its related to HTTP header
> 
> Content-Encoding: x-gzip 
> 
> It says browser that content is compressed and browser should uncompress it.
> Direct download with wget works just because wget ignores this header.

I am still confused.

wget, curl, aria2c and firefox, all get a 42MiB tar gz file. No decompression whatsoever. Is there a way to test/download the tar one? I am not able to reproduce that.
Comment 17 Pacho Ramos gentoo-dev 2019-05-16 10:12:14 UTC
*** Bug 682850 has been marked as a duplicate of this bug. ***
Comment 18 Larry the Git Cow gentoo-dev 2019-05-30 11:15:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e2a2a3baebbc26bdcd1ee23a765bf04ebed7ee3

commit 3e2a2a3baebbc26bdcd1ee23a765bf04ebed7ee3
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2019-05-30 11:14:56 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2019-05-30 11:14:56 +0000

    sci-chemistry/vmd: Multiple fixes and update ebuild
    
    - Longer explanation to download sources files (#640440)
    - Fix tachyon support (#644122)
    - Install netcdf plugin (#661636)
    
    Bug: https://bugs.gentoo.org/640440
    Closes: https://bugs.gentoo.org/644122
    Closes: https://bugs.gentoo.org/661636
    Package-Manager: Portage-2.3.66, Repoman-2.3.12
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 .../vmd/files/vmd-1.9.1-cuda-device_ptr.patch      |   8 +-
 .../vmd/files/vmd-1.9.3-configure-libtachyon.patch |  13 +
 sci-chemistry/vmd/vmd-1.9.3-r1.ebuild              | 262 +++++++++++++++++++++
 3 files changed, 279 insertions(+), 4 deletions(-)